function vexalarm_colorize_class(msg, spellid, colorize)
	local returnvalue = ""
	local alarmclass = ""
	
	if colorize == "spell" or colorize == "caster" then alarmclass = vexalarm_spells_defaults[tostring(spellid)][5] end
	
	if alarmclass == "" and colorize ~= "spell" then alarmclass = select(2, UnitClass(msg)) end
	
	if alarmclass == nil then alarmclass = "" end
	
	returnvalue = "|CFF"..vexalarm_data["proclaims"]["cc"][alarmclass]..msg.."|r"

	return returnvalue
end

function vexalarm_colorize_status(statustext, status, frame)
	local returnvalue = ""
	if status then returnvalue="|CFF"..vexalarm_f_data[frame]["colors"]["active"]["HEX"]..""..statustext.."|r"
	else	 returnvalue="|CFF"..vexalarm_f_data[frame]["colors"]["inactive"]["HEX"]..statustext.."|r" end
	return returnvalue
end

function vexalarm_colorize_specific(msg, sub, frame)
	local color = ""
	if 		sub == 1 then color = vexalarm_f_data[frame]["colors"]["caster_sc"]["HEX"]
	elseif 	sub == 2 then color = vexalarm_f_data[frame]["colors"]["target_sc"]["HEX"]
	else 				  color = vexalarm_f_data[frame]["colors"]["spell_sc"]["HEX"] end
	return "|CFF"..color..msg.."|r"
end