function vexalarm_testproclaim_rndspell()
	local values = {}
	local contents = 0
	
	for key in pairs(vexalarm_spells_defaults) do
		contents = contents + 1
		values[contents] = key
	end
	
	local rndnumber = math.random(1,contents)
	
	return values[rndnumber]
end

function vexalarm_testproclaim()
	if vexalarm.testmode then
		local spellid = vexalarm_testproclaim_rndspell()
		local alarmtype = vexalarm_spells_defaults[spellid][6]
		local spell = select(1, GetSpellInfo(tonumber(spellid)))
		local caster = select(1, UnitName("player"))
		local target = nil
		if alarmtype == "buff" or alarmtype == "instant" then target = caster end
		local status = {true, false}
		
		for key in pairs(vexalarm.frames) do
			vexalarm_proclaim(alarmtype, spell, spellid, caster, target, status[math.random(1,2)], key)
		end
	end
end

function vexalarm_test_starter(val)
	if val and vexalarm.testmode then
		local test_aniGRP = vexalarm_event_frame:CreateAnimationGroup("test_aniGRP")
		test_aniGRP:SetLooping("NONE")
		local test_ani = test_aniGRP:CreateAnimation("Scale")
		test_ani:SetOrder(1)
		test_ani:SetDuration(0)
		test_ani:SetScale(1,1)
		test_ani:SetEndDelay(math.random(1,3))
		test_aniGRP:SetScript("OnFinished", function () vexalarm_test_starter(true) vexalarm_testproclaim() end)
		test_aniGRP:Play()
	end
end