function vexalarm_totem_new(alarmtype, spell, spellid, caster, target, frame)
	vexalarm.totemsPlaced[frame][spell]= {time(), {alarmtype, spellid, caster, target}}
end

function vexalarm_totem_new_RW(alarmtype, spell, spellid, caster, target)
	vexalarm.totemsPlaced_RW[spell]= {time(), {alarmtype, spellid, caster, target}}
end

function vexalarm_totem_clean()
	for frame in pairs(vexalarm.totemsPlaced) do
		for key,val in pairs(vexalarm.totemsPlaced[frame]) do
			if val[1] + 360 < time() then vexalarm_totem_delete(frame, key) end
		end
	end
	
	for key, val in pairs(vexalarm.totemsPlaced_RW) do
		if val[1] + 360 < time() then vexalarm_totem_delete_RW(key) end
	end
end

function vexalarm_totem_find(frame, spell)
	local returnvalue = false
	if vexalarm.totemsPlaced[frame][spell] ~= nil then
		returnvalue = true
	end
	return returnvalue
end

function vexalarm_totem_find_RW(spell)
	local returnvalue = false
	if vexalarm.totemsPlaced_RW[spell] ~= nil then
		returnvalue = true
	end
	return returnvalue
end

function vexalarm_totem_delete(frame, spell)
	vexalarm.totemsPlaced[frame][spell]= nil
end

function vexalarm_totem_delete_RW(spell)
	vexalarm.totemsPlaced_RW[spell]= nil
end