vexalarm_defaults = {
	["variableversion"] = 20,
	["enable"] = true,
	["proclaims"] = {
		["msgs"] = {
			["buff"] = 		{["active"] = "", ["inactive"] = ""},
			["selfbuff"] = 	{["active"] = "", ["inactive"] = ""},
			["grpbuff"] = 	{["active"] = "", ["inactive"] = ""},
			["instant"] = "",
			["instantself"] = "",
			["status"] = 	{["active"] = "", ["inactive"] = ""},
			},
		["cc"] = {
			["DEATHKNIGHT"] = "C41F3B",
			["DRUID"] 		= "FF7D0A",
			["HUNTER"] 		= "ABD473",
			["MAGE"] 		= "69CCF0",
			["PALADIN"] 	= "F58CBA",
			["PRIEST"] 		= "FFFFFF",
			["ROGUE"] 		= "FFF569",
			["SHAMAN"] 		= "0070DE",
			["WARLOCK"] 	= "9482C9",
			["WARRIOR"] 	= "C79C6E",
			["MONK"] 		= "558A84",
			[""] 			= "A1A1A1",
			},
		},
	["rw"] = {
		["show"] = {
			["showonlyinfight"] = false,
			["showgrponly"] = true,
			["myspells"] = true,
			},
		["activate"] = false,
		["forbidspelllink"] = false,
		["forbidspelllinkrw"] = true,
		["channeloverride"] = false,
		["chattype"] = "RAID_WARNING",
		["channel"] = "5",
		["spelldata"] = {
			["useprofile"] = false,
			["spellprofile"] = "",
			},
		["msgs"] = {
			["buff"] = 		{["active"] = "", ["inactive"] = ""},
			["selfbuff"] = 	{["active"] = "", ["inactive"] = ""},
			["grpbuff"] = 	{["active"] = "", ["inactive"] = ""},
			["instant"] = "",
			["instantself"] = "",
			["status"] = 	{["active"] = "", ["inactive"] = ""},
			},
		},
	}
vexalarm_frame_defaults = {
	["Mainframe"] = {
		["spelldata"] = {
			["useprofile"] = false,
			["spellprofile"] = "",
			},
		["sounds"] = {
			["allow"] = true,
			["active"] = {["file"] = "01", ["channel"] = "Master"},
			["inactive"] = {["file"] = "27", ["channel"] = "Master"},
			["cast"] = {["file"] = "01", ["channel"] = "Master"},
			},
		["show"] = {
			["showonlyinfight"] = false,
			["showgrponly"] = true,
			["myspells"] = true,
			},
		["timedata"] = {
			["allowvanish"] = true,
			["show"] = 3,
			["vanish"] = 3,
			},
		["colors"] = {
			["active"] = 	{["HEX"] = "2cf22e",	["r"] = 0.176, 	["g"] = 0.968, 		["b"] = 0.184},
			["inactive"] = 	{["HEX"] = "bb3232",	["r"] = 0.749, 	["g"] = 0.204, 		["b"] = 0.204},
			["caster_sc"] = {["HEX"] = "fa56f8", 	["r"] = 1, 		["g"] = 0.345, 		["b"] = 0.992},
			["target_sc"] = {["HEX"] = "1815fa", 	["r"] = 0.098, 	["g"] = 0.0862, 	["b"] = 1},
			["spell_sc"] = 	{["HEX"] = "ce4c0c", 	["r"] = 0.8274, ["g"] = 0.3058, 	["b"] = 0.05098},
			},
		["design"] = {
			["allowscrolling"] = false,
			["scrolldown"] = false,
			["text"] = {
				["font"] = "Friz Quadrata TT",
				["align"] = "LEFT",
				["size"] = 14,
				["outline"] = "OUTLINE",
				["color"] = {
					["active"] = {["r"] = 1, ["g"] = 1, ["b"] = 1, ["a"] = 1},
					["inactive"] = {["r"] = 1, ["g"] = 0, ["b"] = 0, ["a"] = 1},
					},			
				},
			["maxevents"] = 5,
			["position"] = {
				["alarm"] = {["x"] = 20, ["y"] = 0, ["spacing"] = 20,},
				["bg"] = {["x"] = 0, ["y"] = 0, ["anchor"] = "CENTER", ["frameanchor"] = "CENTER"},
				},
			["size"] = {["width"] = 300, ["height"] = 200},
			["bg"] = {
				["texture"] = "Solid",
				["color"] = {["r"] = 0, ["g"] = 0, ["b"] = 0, ["a"] = 0.25},
				},
			["border"] = {
				["texture"] = "None",
				["size"] = 1,
				["color"] = {["r"] = 0, ["g"] = 0, ["b"] = 0, ["a"] = 1},
				},
			},
		},
	}

function vexalarm_msgsSetToLocales()
	vexalarm_defaults["proclaims"]["msgs"]["buff"]["active"] = vexalarm.Locale["msgs buff active"]
	vexalarm_defaults["proclaims"]["msgs"]["buff"]["inactive"] = vexalarm.Locale["msgs buff inactive"]
	vexalarm_defaults["proclaims"]["msgs"]["selfbuff"]["active"] = vexalarm.Locale["msgs selfbuff active"]
	vexalarm_defaults["proclaims"]["msgs"]["selfbuff"]["inactive"] = vexalarm.Locale["msgs selfbuff inactive"]
	vexalarm_defaults["proclaims"]["msgs"]["grpbuff"]["active"] = vexalarm.Locale["msgs grpbuff active"]
	vexalarm_defaults["proclaims"]["msgs"]["grpbuff"]["inactive"] = vexalarm.Locale["msgs grpbuff inactive"]
	vexalarm_defaults["proclaims"]["msgs"]["instant"] = vexalarm.Locale["msgs instant"]
	vexalarm_defaults["proclaims"]["msgs"]["instantself"] = vexalarm.Locale["msgs instantself"]
	vexalarm_defaults["proclaims"]["msgs"]["status"]["active"] = vexalarm.Locale["msgs status active"]
	vexalarm_defaults["proclaims"]["msgs"]["status"]["inactive"] = vexalarm.Locale["msgs status inactive"]
	
	vexalarm_defaults["rw"]["msgs"]["buff"]["active"] = vexalarm.Locale["rw msgs buff active"]
	vexalarm_defaults["rw"]["msgs"]["buff"]["inactive"] = vexalarm.Locale["rw msgs buff inactive"]
	vexalarm_defaults["rw"]["msgs"]["selfbuff"]["active"] = vexalarm.Locale["rw msgs selfbuff active"]
	vexalarm_defaults["rw"]["msgs"]["selfbuff"]["inactive"] = vexalarm.Locale["rw msgs selfbuff inactive"]
	vexalarm_defaults["rw"]["msgs"]["grpbuff"]["active"] = vexalarm.Locale["rw msgs grpbuff active"]
	vexalarm_defaults["rw"]["msgs"]["grpbuff"]["inactive"] = vexalarm.Locale["rw msgs grpbuff inactive"]
	vexalarm_defaults["rw"]["msgs"]["instant"] = vexalarm.Locale["rw msgs instant"]
	vexalarm_defaults["rw"]["msgs"]["instantself"] = vexalarm.Locale["rw msgs instantself"]
	vexalarm_defaults["rw"]["msgs"]["status"]["active"] = vexalarm.Locale["rw msgs status active"]
	vexalarm_defaults["rw"]["msgs"]["status"]["inactive"] = vexalarm.Locale["rw msgs status inactive"]
end
	
function vexalarm_loaddefaults(force)
	vexalarm_msgsSetToLocales()
		
	vexalarm_data = vexalarm_check_tablecontent(vexalarm_defaults, vexalarm_data, force)
	vexalarm_f_data = vexalarm_check_var_tablecontent(vexalarm_frame_defaults["Mainframe"], vexalarm_f_data, force)
	vexalarm_s = vexalarm_check_tablecontent(vexalarm_spells_defaults, vexalarm_s, force)
		
	if vexalarm_sp == nil then vexalarm_sp = {} end
	if vexalarm_p == nil then vexalarm_p = {} end
			
	if force then vexalarm_initialize(true) end
end

function vexalarm_check_var_tablecontent(defaults, saved, force)
	local temp = {}
	if force or saved == nil or type(saved) ~= "table" then
		temp = vexalarm_CopyTable(vexalarm_frame_defaults)
	else
		for key,val in pairs(saved) do
			temp[key] = vexalarm_check_tablecontent(defaults, val, force)
		end
	end
	return temp
end

function vexalarm_check_tablecontent(defaults, saved, force)
	local temp = {}
	if force or type(saved) ~= "table" then temp=defaults
	else
		for key,val in pairs(defaults) do
			if type(val) == "table" then
				temp[key] = {}
				if saved[key] == nil then
					temp[key] = val
				else
					temp[key] = vexalarm_check_tablecontent(defaults[key], saved[key], force)
				end
			else
				if saved[key] == nil then
					temp[key] = val
				else
					temp[key] = saved[key]
				end
			end
		end
	end
	return temp
end

-- thx to Lombra from WoWAce for this function
function vexalarm_CopyTable(settings)
	local copy = {}
	for k, v in pairs(settings) do
		if type(v) == "table" then  copy[k] = vexalarm_CopyTable(v)
		else						copy[k] = v end
	end
	return copy
end