function vexalarm.panel_framecontent(ID)
	local temp = {
		type = "group",
		args = {
			}
		}
	local framelist = {}
	for key in pairs(vexalarm_f_data) do
		framelist[#framelist+1] = key
	end
	table.sort(framelist, function (a,b) return a<b end)
	
	local counter = 0
	for i,key in pairs(framelist) do
		counter = counter +1
		local framegrp = {
			type = "group",
			name = "Frame: "..key, dialogInline = true,
			order = counter*5,
			args = {		
				useprofile = {
					name = vexalarm.Locale["rw useprofile"],
					order=1, type = "toggle", width="full",
					set = function(self,val) vexalarm_frames_setSPusage(key, val) vexalarm_initialize(true) end,
					get = function() return vexalarm_frames_getSPusage(key) end,
					},
				spellprofile = {
					name = vexalarm.Locale["framesp sp"],
					order=2, type = "select", style = "dropdown",
					values = vexalarm_spellprofile_getlist(),
					disabled = not(vexalarm_frames_getSPusage(key)),
					set = function(self,sp) vexalarm_frames_setSP(key, sp) end,
					get = function() return vexalarm_frames_getSP(key) end,
					},
				},
			}
		temp.args[key] = framegrp
		temp.args[key.."space"] = {name =" ", type = "description", order=counter*5+1}
	end
	
	return temp
end
