vexalarm.testmode = false

function vexalarm.panel_msgs()
	return {
		type = "group",
		order= 1,
		args = {
			grptestmode = {
				name = vexalarm.Locale["test-mode grpname"],
				order=1, type ="group", dialogInline = true,
				args = {
					testmode = {
						name = vexalarm.Locale["activate test-mode"],
						order=1, type = "toggle", width="full",
						set = function(info,val) vexalarm.testmode=val vexalarm_test_starter(val) end,
						get = function() return vexalarm.testmode end,
						},
					testmodeinfo = {name =vexalarm.Locale["test-mode info"], type = "description", order=2, fontSize="medium"},
					},
				},
			frame_space = {name ="\n", type = "description", order=2},
			grpsettings = {
				name = " ",
				order=3, type ="group", dialogInline = true,
				args = {
					frame = {
						name = vexalarm.Locale["frame delete name"],
						order=1, type = "select", style = "dropdown",
						values =  vexalarm_frames_getlist(),
						set = function(self,key)
							vexalarm_framepanel_currentframe = key
							vexalarm_framepanel_change = key
							vexalarm_initialize(true)
							end,
						get = function() return vexalarm_frames_getlistGet() end,
						},	
					frame_spac = {name =" ", type = "description", order=2},				
					grpsettings = {
						name = vexalarm.Locale["field frame grpname"],
						order=3, type ="group", dialogInline = true,
						args = {
							grptextformat = {
								name = vexalarm.Locale["msgsettings text-format grpname"] ,
								order=3, type ="group", dialogInline = true,
								args = {
									textfont = {
										name = vexalarm.Locale["msgsettings font"],
										order=1, type = "select",
										dialogControl = "LSM30_Font",
										values = vexalarm.LSM:HashTable("font"),
										disabled = vexalarm_getDisabled(vexalarm_frames_getlist(), vexalarm_framepanel_currentframe),
										set = function(self,key) vexalarm_f_data[vexalarm_framepanel_currentframe]["design"]["text"]["font"]=key end,
										get = function() return vexalarm_frame_textreturn("font") end,
										},
									textsize = {
										name = vexalarm.Locale["msgsettings size"],
										order=2, type = "range",
										step = 1, min = 6, max = 20,
										disabled = vexalarm_getDisabled(vexalarm_frames_getlist(), vexalarm_framepanel_currentframe),
										set = function(info,val) vexalarm_f_data[vexalarm_framepanel_currentframe]["design"]["text"]["size"]=val end,
										get = function() return vexalarm_frame_textreturn("size") end,
										},
									fontalign = {
										name = vexalarm.Locale["msgsettings align"],
										order=3, type = "select", style = "dropdown",
										values = {["LEFT"]=vexalarm.Locale["msgsettings align left"],
												["CENTER"]=vexalarm.Locale["msgsettings align center"],
												["RIGHT"]=vexalarm.Locale["msgsettings align right"]},
										disabled = vexalarm_getDisabled(vexalarm_frames_getlist(), vexalarm_framepanel_currentframe),
										set = function(self,key) vexalarm_f_data[vexalarm_framepanel_currentframe]["design"]["text"]["align"]=key end,
										get = function() return vexalarm_frame_textreturn("align") end,
										},
									fontoutline = {
										name = vexalarm.Locale["msgsettings effect"],
										order=3, type = "select", style = "dropdown",
										values = {["MONOCHROME"]=vexalarm.Locale["msgsettings effect monochrome"],
													["OUTLINE"]=vexalarm.Locale["msgsettings effect outline"],
													[""]=vexalarm.Locale["msgsettings effect none"],
													["THICKOUTLINE"]=vexalarm.Locale["msgsettings effect thickoutline"]},
										disabled = vexalarm_getDisabled(vexalarm_frames_getlist(), vexalarm_framepanel_currentframe),
										set = function(self,key) vexalarm_f_data[vexalarm_framepanel_currentframe]["design"]["text"]["outline"]=key end,
										get = function() return vexalarm_frame_textreturn("outline") end,
										},
									},
								},
							frame_spacefont = {name ="\n", type = "description", order=4},
							grpevents = {
								name = vexalarm.Locale["msgsettings event grpname"],
								order=5, type ="group", dialogInline = true,
								args = {
									alarmx = {
										name = vexalarm.Locale["msgsettings x"],
										order=1, type = "range",
										desc = vexalarm.Locale["msgsettings x desc"],
										step = 1, min = 1, max = 100,
										disabled = vexalarm_getDisabled(vexalarm_frames_getlist(), vexalarm_framepanel_currentframe),
										set = function(info,val) vexalarm_f_data[vexalarm_framepanel_currentframe]["design"]["position"]["alarm"]["x"]=val end,
										get = function() return vexalarm_frame_textreturn("alarmx") end,
										},
									alarmy = {
										name = vexalarm.Locale["msgsettings y"],
										order=2, type = "range",
										desc = vexalarm.Locale["msgsettings y desc"],
										step = 1, min = -100, max = 100,
										disabled = vexalarm_getDisabled(vexalarm_frames_getlist(), vexalarm_framepanel_currentframe),
										set = function(info,val) vexalarm_f_data[vexalarm_framepanel_currentframe]["design"]["position"]["alarm"]["y"]=val end,
										get = function() return vexalarm_frame_textreturn("alarmy") end,
										},
									frame_events_space = {name ="\n", type = "description", order=3},
									alarmspacing = {
										name = vexalarm.Locale["msgsettings distance"],
										desc = vexalarm.Locale["msgsettings distance desc"],
										order=6, type = "range",
										step = 1, min = 1, max = 100,
										disabled = vexalarm_getDisabled(vexalarm_frames_getlist(), vexalarm_framepanel_currentframe),
										set = function(info,val) vexalarm_f_data[vexalarm_framepanel_currentframe]["design"]["position"]["alarm"]["spacing"]=val end,
										get = function() return vexalarm_frame_textreturn("alarms") end,
										},
									alarmcount = {
										name = vexalarm.Locale["msgsettings maxevents"],
										desc = vexalarm.Locale["msgsettings maxevents desc"],
										order=7, type = "range",
										step = 1, min = 1, max = 20,
										disabled = vexalarm_getDisabled(vexalarm_frames_getlist(), vexalarm_framepanel_currentframe),
										set = function(info,val) vexalarm_f_data[vexalarm_framepanel_currentframe]["design"]["maxevents"]=val end,
										get = function() return vexalarm_frame_textreturn("maxevents") end,
										},
									alarmdownwars = {
										name = vexalarm.Locale["msgsettings upwards"],
										order=8, type = "toggle", width="full",
										disabled = vexalarm_getDisabled(vexalarm_frames_getlist(), vexalarm_framepanel_currentframe),
										set = function(info,val) vexalarm_f_data[vexalarm_framepanel_currentframe]["design"]["scrolldown"]=val end,
										get = function() return vexalarm_frame_textreturn("scrolldown") end,
										},
									},
								},
							frame_space1 = {name ="\n", type = "description", order=6},
							
							grptextcolors = {
								name = vexalarm.Locale["msgsettings colors grpname"],
								order=7, type ="group", dialogInline = true,
								args = {
									statuscolor1 = {
										name = vexalarm.Locale["msgsettings colors status_sc active"],
										order=1, type = "color", width="",
										disabled = vexalarm_getDisabled(vexalarm_frames_getlist(), vexalarm_framepanel_currentframe),
										set = function(info,r,g,b)
											vexalarm_f_data[vexalarm_framepanel_currentframe]["colors"]["active"]["HEX"] = vexalarm_dec2hex(r,g,b)
											vexalarm_f_data[vexalarm_framepanel_currentframe]["colors"]["active"]["r"] = r
											vexalarm_f_data[vexalarm_framepanel_currentframe]["colors"]["active"]["g"] = g
											vexalarm_f_data[vexalarm_framepanel_currentframe]["colors"]["active"]["b"] = b end,
										get = function() return
											vexalarm_frame_textreturn("status_sca", "r"),
											vexalarm_frame_textreturn("status_sca", "g"),
											vexalarm_frame_textreturn("status_sca", "b") end,
										},
									statusmsgcolor1 = {
										name = vexalarm.Locale["msgsettings colors gained"],
										order=2, type = "color", width="double",
										disabled = vexalarm_getDisabled(vexalarm_frames_getlist(), vexalarm_framepanel_currentframe),
										set = function(info,r,g,b,a)
											vexalarm_f_data[vexalarm_framepanel_currentframe]["design"]["text"]["color"]["active"]["r"] = r
											vexalarm_f_data[vexalarm_framepanel_currentframe]["design"]["text"]["color"]["active"]["g"] = g
											vexalarm_f_data[vexalarm_framepanel_currentframe]["design"]["text"]["color"]["active"]["b"] = b end,
										get = function() return
											vexalarm_frame_textreturn("colorg", "r"),
											vexalarm_frame_textreturn("colorg", "g"),
											vexalarm_frame_textreturn("colorg", "b")end,
										},
									statuscolor2 = {
										name = vexalarm.Locale["msgsettings colors status_sc inactive"],
										order=3, type = "color",
										disabled = vexalarm_getDisabled(vexalarm_frames_getlist(), vexalarm_framepanel_currentframe),
										set = function(info,r,g,b)
											vexalarm_f_data[vexalarm_framepanel_currentframe]["colors"]["inactive"]["HEX"] = vexalarm_dec2hex(r,g,b)
											vexalarm_f_data[vexalarm_framepanel_currentframe]["colors"]["inactive"]["r"] = r
											vexalarm_f_data[vexalarm_framepanel_currentframe]["colors"]["inactive"]["g"] = g
											vexalarm_f_data[vexalarm_framepanel_currentframe]["colors"]["inactive"]["b"] = b end,
										get = function() return
											vexalarm_frame_textreturn("status_sci", "r"),
											vexalarm_frame_textreturn("status_sci", "g"),
											vexalarm_frame_textreturn("status_sci", "b") end,
										},
									statusmsgcolor2 = {
										name = vexalarm.Locale["msgsettings colors lost"],
										order=4, type = "color", width="double",
										disabled = vexalarm_getDisabled(vexalarm_frames_getlist(), vexalarm_framepanel_currentframe),
										set = function(info,r,g,b,a)
											vexalarm_f_data[vexalarm_framepanel_currentframe]["design"]["text"]["color"]["inactive"]["r"] = r
											vexalarm_f_data[vexalarm_framepanel_currentframe]["design"]["text"]["color"]["inactive"]["g"] = g
											vexalarm_f_data[vexalarm_framepanel_currentframe]["design"]["text"]["color"]["inactive"]["b"] = b end,
										get = function() return
											vexalarm_frame_textreturn("colorf", "r"),
											vexalarm_frame_textreturn("colorf", "g"),
											vexalarm_frame_textreturn("colorf", "b") end,
										},
									frame_textspace3 = {name ="\n\n", type = "description", order=5},
									
									castercolor = {
										name = "[caster_sc]",
										order=6, type = "color", width="full",
										disabled = vexalarm_getDisabled(vexalarm_frames_getlist(), vexalarm_framepanel_currentframe),
										set = function(info,r,g,b)
											vexalarm_f_data[vexalarm_framepanel_currentframe]["colors"]["caster_sc"]["HEX"] = vexalarm_dec2hex(r,g,b)
											vexalarm_f_data[vexalarm_framepanel_currentframe]["colors"]["caster_sc"]["r"] = r
											vexalarm_f_data[vexalarm_framepanel_currentframe]["colors"]["caster_sc"]["g"] = g
											vexalarm_f_data[vexalarm_framepanel_currentframe]["colors"]["caster_sc"]["b"] = b end,
										get = function() return
											vexalarm_frame_textreturn("caster_sc", "r"),
											vexalarm_frame_textreturn("caster_sc", "g"),
											vexalarm_frame_textreturn("caster_sc", "b") end,
										},
									targetcolor = {
										name = "[target_sc]",
										order=7, type = "color", width="full",
										disabled = vexalarm_getDisabled(vexalarm_frames_getlist(), vexalarm_framepanel_currentframe),
										set = function(info,r,g,b)
											vexalarm_f_data[vexalarm_framepanel_currentframe]["colors"]["target_sc"]["HEX"] = vexalarm_dec2hex(r,g,b)
											vexalarm_f_data[vexalarm_framepanel_currentframe]["colors"]["target_sc"]["r"] = r
											vexalarm_f_data[vexalarm_framepanel_currentframe]["colors"]["target_sc"]["g"] = g
											vexalarm_f_data[vexalarm_framepanel_currentframe]["colors"]["target_sc"]["b"] = b end,
										get = function() return
											vexalarm_frame_textreturn("target_sc", "r"),
											vexalarm_frame_textreturn("target_sc", "g"),
											vexalarm_frame_textreturn("target_sc", "b") end,
										},
									spellcolor = {
										name = "[spell_sc]",
										order=8, type = "color", width="full",
										disabled = vexalarm_getDisabled(vexalarm_frames_getlist(), vexalarm_framepanel_currentframe),
										set = function(info,r,g,b)
											vexalarm_f_data[vexalarm_framepanel_currentframe]["colors"]["spell_sc"]["HEX"] = vexalarm_dec2hex(r,g,b)
											vexalarm_f_data[vexalarm_framepanel_currentframe]["colors"]["spell_sc"]["r"] = r
											vexalarm_f_data[vexalarm_framepanel_currentframe]["colors"]["spell_sc"]["g"] = g
											vexalarm_f_data[vexalarm_framepanel_currentframe]["colors"]["spell_sc"]["b"] = b end,
										get = function() return
											vexalarm_frame_textreturn("spell_sc", "r"),
											vexalarm_frame_textreturn("spell_sc", "g"),
											vexalarm_frame_textreturn("spell_sc", "b") end,
										},
								
									},
								},
							frame_space2 = {name ="\n", type = "description", order=8},
							
							grptimedata = {
								name = vexalarm.Locale["msgsettings timedata grpname"],
								order=9, type ="group", dialogInline = true,
								args = {
									allowvanish = {
										name = vexalarm.Locale["msgsettings timedata allow"],
										order=1, type = "toggle", width="full",
										disabled = vexalarm_getDisabled(vexalarm_frames_getlist(), vexalarm_framepanel_currentframe),
										set = function(info,val) vexalarm_f_data[vexalarm_framepanel_currentframe]["timedata"]["allowvanish"]=val end,
										get = function() return vexalarm_frame_textreturn("allowvanish") end,
										},
									timedataspace = {name =" ", type = "description", order=2},
									alarmshowtime = {
										name = vexalarm.Locale["msgsettings timedata msg"],
										order=2, type = "range",
										desc = vexalarm.Locale["msgsettings timedata msg desc"],
										step = 1, min = 1, max = 10,
										disabled = vexalarm_getDisabled(vexalarm_frames_getlist(), vexalarm_framepanel_currentframe),
										set = function(info,val) vexalarm_f_data[vexalarm_framepanel_currentframe]["timedata"]["show"]=val end,
										get = function() return vexalarm_frame_textreturn("tdshow") end,
										},
									alarmvanishtime = {
										name = vexalarm.Locale["msgsettings timedata vanish"],
										order=3, type = "range",
										desc = vexalarm.Locale["msgsettings timedata vanish desc"],
										step = 1, min = 1, max = 10,
										disabled = vexalarm_getDisabled(vexalarm_frames_getlist(), vexalarm_framepanel_currentframe),
										set = function(info,val) vexalarm_f_data[vexalarm_framepanel_currentframe]["timedata"]["vanish"]=val end,
										get = function() return vexalarm_frame_textreturn("tdvanish") end,
										},
									},
								},
							frame_space3 = {name ="\n", type = "description", order=10},
							
							grpdeirmode = {
								name = vexalarm.Locale["msgsettings deir-mode grpname "],
								order=11, type ="group", dialogInline = true,
								args = {
									moveuptext = {name =vexalarm.Locale["msgsettings deir-mode info"], type = "description", order=123, fontSize="medium"},
									allowmoveup = {
										name = vexalarm.Locale["msgsettings deir-mode activate"],
										order=123, type = "toggle", width="full",
										disabled = vexalarm_getDisabled(vexalarm_frames_getlist(), vexalarm_framepanel_currentframe),
										set = function(info,val) vexalarm_f_data[vexalarm_framepanel_currentframe]["design"]["allowscrolling"]=not(val) end,
										get = function() return vexalarm_frame_textreturn("allowscrolling") end,
										},
									}
								}
							}
						}
					}
				}
			}
		}
end