vexalarm_profiles_profile = ""
vexalarm_profiles_profile_new = ""
vexalarm_profiles_profile_change = ""

function vexalarm.panel_profiles()
	return {
		type = "group",
		args = {
			grpadd = {
				name = vexalarm.Locale["profiles add grpname"],
				order=3, type ="group", dialogInline = true,
				args = {
					profile_new = {
						name = vexalarm.Locale["profiles add name"],
						desc = vexalarm.Locale["profiles add name desc"],
						order=1, type = "input", multiline = false, width = "double",
						validate = function (info, val) return vexalarm_validateInput(val) end,
						set = function(info,val) vexalarm_profiles_profile_new = val vexalarm_initialize(true) end,
						get = function() return vexalarm_profiles_profile_new end,
						},
					profile_new_add = {
						name = vexalarm.Locale["profiles add button"], width="half",
						order=2, type = "execute",
						disabled = not(vexalarm_checkName(vexalarm_profiles_profile_new)),
						func = function(info,val) vexalarm_profile_add() vexalarm_initialize(true) end,
						},
					grpadddelete_allowed = {name = vexalarm.Locale["profiles add info"], type = "description", order=3, fontSize="medium"},
					},
				},
			frame_space2 = {name =" ", type = "description", order=4},
			grpdelete = {
				name = vexalarm.Locale["profiles delete grpname"],
				order=5, type ="group", dialogInline = true,
				args = {
					profile = {
						name = vexalarm.Locale["profiles delete profile"],
						order=1, type = "select", style = "dropdown",
						values = vexalarm_profile_getlist(),
						set = function(self,key)
							vexalarm_profiles_profile = key
							vexalarm_profiles_profile_change = key
							vexalarm_initialize(true)
							end,
						get = function() return vexalarm_profile_getlistGet() end,
						},
					space_loadall = {name =" ", type = "description", order=10},
					load_exe_all = {
						name = vexalarm.Locale["profiles load button all"],
						desc = vexalarm.Locale["profiles load button all desc"],
						order=11, type = "execute", width="double",
						disabled = vexalarm_getDisabled(vexalarm_profile_getlist(), vexalarm_profiles_profile),
						func = function(info,val) vexalarm_profile_load("all") vexalarm_initialize(true) end,
						},
					space_loads = {name =" ", type = "description", order=20},
					load_exe_settings = {
						name = vexalarm.Locale["profiles load button settings"],
						order=21, type = "execute",
						disabled = vexalarm_getDisabled(vexalarm_profile_getlist(), vexalarm_profiles_profile),
						func = function(info,val) vexalarm_profile_load("data") vexalarm_initialize(true) end,
						},
					load_exe_frames = {
						name = vexalarm.Locale["profiles load button frames"],
						order=22, type = "execute",
						disabled = vexalarm_getDisabled(vexalarm_profile_getlist(), vexalarm_profiles_profile),
						func = function(info,val) vexalarm_profile_load("f_data") vexalarm_initialize(true) end,
						},
					space = {name =" ", type = "description", order=25},
					load_exe_spells = {
						name = vexalarm.Locale["profiles load button spell-settings"],
						desc = vexalarm.Locale["profiles load button spell-settings desc"],
						order=27, type = "execute",
						disabled = vexalarm_getDisabled(vexalarm_profile_getlist(), vexalarm_profiles_profile),
						func = function(info,val) vexalarm_profile_load("s") vexalarm_initialize(true) end,
						},
					load_exe_spellprofiles = {
						name = vexalarm.Locale["profiles load button spell-profiles"],
						order=28, type = "execute",
						disabled = vexalarm_getDisabled(vexalarm_profile_getlist(), vexalarm_profiles_profile),
						func = function(info,val) vexalarm_profile_load("sp") vexalarm_initialize(true) end,
						},
					space_rename = {name =" ", type = "description", order=30},
					newname = {
						name = vexalarm.Locale["profiles add name"],
						desc = vexalarm.Locale["profiles add name desc"] ,
						order=31, type = "input", multiline = false, width = "double",
						validate = function (info, val) return vexalarm_validateInput(val) end,
						disabled = vexalarm_getDisabled(vexalarm_profile_getlist(), vexalarm_profiles_profile),
						set = function(info,val) vexalarm_profiles_profile_change = val vexalarm_initialize(true) end,
						get = function() return vexalarm_profiles_profile_change end,
						},
					changename = {
						name = vexalarm.Locale["spellprofiles changename button"],
						order=32, type = "execute",
						disabled = vexalarm_getDisabled(vexalarm_profile_getlist(), vexalarm_profiles_profile) or vexalarm_profiles_profile_change=="",
						func = function(info,val) vexalarm_ChangeProfile() vexalarm_initialize(true) end,
						},
					space_delete = {name ="\n\n\n", type = "description", order=40},
					delete_exe = {
						name = vexalarm.Locale["profiles delete button"],
						order=41, type = "execute",
						disabled = vexalarm_getDisabled(vexalarm_profile_getlist(), vexalarm_profiles_profile),
						func = function(info,val) vexalarm_profile_delete() vexalarm_initialize(true) end,
						confirm = true,
						confirmText = vexalarm.Locale["profiles delete confirm"]
						},
					},
				},
			}
		}
end








