function vexalarm.panel_rw()
	return {
		type = "group",
		order= 5,
		args = {
			grpallow = {
				name = vexalarm.Locale["rw general grpname"],
				order=1, type ="group", dialogInline = true,
				args = {
					activate = {
						name = vexalarm.Locale["rw activate"],
						order=10, type = "toggle", width="double",
						set = function(self,key) vexalarm_data["rw"]["activate"]=key vexalarm_initialize(true) end,
						get = function() return vexalarm_data["rw"]["activate"] end,
						},
					},
				},
			frame_space1 = {name ="\n", type = "description", order=2},
			
			grpshow = {
				name = " ",
				order=3, type ="group", dialogInline = true,
				args = {
					chattype = {
						name = vexalarm.Locale["rw chattype"],
						order=1, type = "select", style = "dropdown",
						disabled = not(vexalarm_data["rw"]["activate"]),
						values = {
							["CHANNEL"]=vexalarm.Locale["rw chattype channel"],
							["GUILD"]=vexalarm.Locale["rw chattype guild"],
							["OFFICER"]=vexalarm.Locale["rw chattype officer"],
							["PARTY"]=vexalarm.Locale["rw chattype party"],
							["RAID"]=vexalarm.Locale["rw chattype raid"],
							["RAID_WARNING"]=vexalarm.Locale["rw chattype rw"],
							["SAY"]=vexalarm.Locale["rw chattype say"],
							["YELL"]=vexalarm.Locale["rw chattype yell"]},
						set = function(self,key) vexalarm_data["rw"]["chattype"]=key vexalarm_initialize(true) end,
						get = function() return vexalarm_data["rw"]["chattype"] end,
						},
					channel = {
						name = vexalarm.Locale["rw channel"],
						order=2, type = "input", multiline = false,
						disabled = not(vexalarm_data["rw"]["activate"]) or vexalarm_data["rw"]["chattype"]~="CHANNEL",
						set = function(self,key) vexalarm_data["rw"]["channel"]=key end,
						get = function() return vexalarm_data["rw"]["channel"] end,
						},
					channeloverride = {
						name = vexalarm.Locale["rw channeloverride"],
						order=11, type = "toggle", width="full",
						disabled = not(vexalarm_data["rw"]["activate"]),
						set = function(self,key) vexalarm_data["rw"]["channeloverride"]=key vexalarm_initialize(true) end,
						get = function() return vexalarm_data["rw"]["channeloverride"] end,
						},
					frame_space2 = {name =" \n\n", type = "description", order=20},	
					spelllink = {
						name = vexalarm.Locale["rw spelllink"],
						order=21, type = "toggle", width="full",
						disabled = not(vexalarm_data["rw"]["activate"]),
						set = function(self,key) vexalarm_data["rw"]["forbidspelllink"]=key vexalarm_initialize(true) end,
						get = function() return vexalarm_data["rw"]["forbidspelllink"] end,
						},
					spelllinkrw = {
						name = vexalarm.Locale["rw spelllinkrw"],
						order=22, type = "toggle", width="full",
						disabled = not(vexalarm_data["rw"]["activate"]) or vexalarm_data["rw"]["forbidspelllink"],
						set = function(self,key) vexalarm_data["rw"]["forbidspelllinkrw"]=key vexalarm_initialize(true) end,
						get = function() return vexalarm_data["rw"]["forbidspelllinkrw"] end,
						},
					frame_space3 = {name =" \n\n\n\n", type = "description", order=30},	
					grp = {
						name = vexalarm.Locale["rw useprofile"],
						order=31, type = "toggle", width="full",
						disabled = not(vexalarm_data["rw"]["activate"]),
						set = function(self,key) vexalarm_data["rw"]["spelldata"]["useprofile"]=key end,
						get = function() return vexalarm_data["rw"]["spelldata"]["useprofile"] end,
						},
					rwprofile = {
						name = vexalarm.Locale["rw profile"],
						order=32, type = "select", style = "dropdown",
						values = vexalarm_spellprofile_getlist(),
						disabled = not(vexalarm_data["rw"]["activate"]),
						set = function(self,key) vexalarm_data["rw"]["spelldata"]["spellprofile"] = key end,
						get = function() return vexalarm_spellprofile_getlistGet_RW() end,
						},
					},
				},
			}
		}
end