function vexalarm.panel_sounds()
	return {
		type = "group",
		args = {
			grptestmode = {
				name = vexalarm.Locale["test-mode grpname"],
				order=1, type ="group", dialogInline = true,
				args = {
					testmode = {
						name = vexalarm.Locale["activate test-mode"],
						order=1, type = "toggle", width="full",
						set = function(info,val) vexalarm.testmode=val vexalarm_test_starter(val) end,
						get = function() return vexalarm.testmode end,
						},
					testmodeinfo = {name = vexalarm.Locale["test-mode info"], type = "description", order=2, fontSize="medium"},
					},
				},
			frame_space_testmode = {name ="\n", type = "description", order=2},
			grpsettings = {
				name = " ",
				order=3, type ="group", dialogInline = true,
				args = {
					frame = {
						name = vexalarm.Locale["frame delete name"],
						order=1, type = "select", style = "dropdown",
						values =  vexalarm_frames_getlist(),
						set = function(self,key)
							vexalarm_framepanel_currentframe = key
							vexalarm_framepanel_change = key
							vexalarm_initialize(true)
							end,
						get = function() return vexalarm_frames_getlistGet() end,
						},	
					frame_spac = {name =" ", type = "description", order=2},				
					grpsettings = {
						name = vexalarm.Locale["field frame grpname"],
						order=3, type ="group", dialogInline = true,
						args = {
							grpallow = {
								name = vexalarm.Locale["sounds general grpname"],
								order=1, type ="group", dialogInline = true,
								args = {
									allowsounds = {
										name = vexalarm.Locale["sounds allow"],
										order=1, type = "toggle",
										disabled = vexalarm_getDisabled(vexalarm_frames_getlist(), vexalarm_framepanel_currentframe),
										set = function(info,val) vexalarm_f_data[vexalarm_framepanel_currentframe]["sounds"]["allow"]=val end,
										get = function() return vexalarm_frame_soundreturn("allow") end,
										},
									},
								},
							frame_space1 = {name ="\n", type = "description", order=2},
							
							grpbuff = {
								name = vexalarm.Locale["sounds buffs grpname"],
								order=3, type ="group", dialogInline = true,
								args = {
									grpactive = {
										name = vexalarm.Locale["sounds buffs active grpname"],
										order=3, type ="group", dialogInline = true,
										args = {
											activesound = {
												name = vexalarm.Locale["sounds sound"],
												order=11, type = "select",
												dialogControl = "LSM30_Sound",
												values = vexalarm.LSM:HashTable("sound"),
												disabled = vexalarm_getDisabled(vexalarm_frames_getlist(), vexalarm_framepanel_currentframe),
												set = function(self,key) vexalarm_f_data[vexalarm_framepanel_currentframe]["sounds"]["active"]["file"] = key end,
												get = function() return vexalarm_frame_soundreturn("file1") end,
												},
											activesoundchannel = {
												name = vexalarm.Locale["sounds channel"],
												order=12, type = "select", style = "dropdown",
												values = {["Master"]="Master", ["SFX"]="SFX", ["Ambience"]="Ambience", ["Music"]="Music"},
												disabled = vexalarm_getDisabled(vexalarm_frames_getlist(), vexalarm_framepanel_currentframe),
												set = function(self,key) vexalarm_f_data[vexalarm_framepanel_currentframe]["sounds"]["active"]["channel"] = key  end,
												get = function() return vexalarm_frame_soundreturn("channel1") end,
												},
											},
										},
									frame_space2 = {name ="\n", type = "description", order=4},
									
									grpinactive = {
										name = vexalarm.Locale["sounds buffs inactive grpname"],
										order=5, type ="group", dialogInline = true,
										args = {
											inactivesound = {
												name = vexalarm.Locale["sounds sound"],
												order=21, type = "select",
												dialogControl = "LSM30_Sound",
												values = vexalarm.LSM:HashTable("sound"),
												disabled = vexalarm_getDisabled(vexalarm_frames_getlist(), vexalarm_framepanel_currentframe),
												set = function(self,key) vexalarm_f_data[vexalarm_framepanel_currentframe]["sounds"]["inactive"]["file"] = key end,
												get = function() return vexalarm_frame_soundreturn("file2") end,
												},
											inactivesoundchannel = {
												name = vexalarm.Locale["sounds channel"],
												order=22, type = "select", style = "dropdown",
												values = {["Master"]="Master", ["SFX"]="SFX", ["Ambience"]="Ambience", ["Music"]="Music"},
												disabled = vexalarm_getDisabled(vexalarm_frames_getlist(), vexalarm_framepanel_currentframe),
												set = function(self,key) vexalarm_f_data[vexalarm_framepanel_currentframe]["sounds"]["inactive"]["channel"] = key end,
												get = function() return vexalarm_frame_soundreturn("channel2") end,
												},
											},
										},
									},
								},
							frame_space3 = {name ="\n", type = "description", order=5},
							
							grpcast = {
								name = vexalarm.Locale["sounds casts grpname"],
								order=6, type ="group", dialogInline = true,
								args = {
									inactivesound = {
										name = vexalarm.Locale["sounds sound"],
										order=21, type = "select",
										dialogControl = "LSM30_Sound",
										values = vexalarm.LSM:HashTable("sound"),
										disabled = vexalarm_getDisabled(vexalarm_frames_getlist(), vexalarm_framepanel_currentframe),
										set = function(self,key) vexalarm_f_data[vexalarm_framepanel_currentframe]["sounds"]["cast"]["file"] = key end,
										get = function() return vexalarm_frame_soundreturn("file3") end,
										},
									inactivesoundchannel = {
										name = vexalarm.Locale["sounds channel"],
										order=22, type = "select", style = "dropdown",
										values = {["Master"]="Master", ["SFX"]="SFX", ["Ambience"]="Ambience", ["Music"]="Music"},
										disabled = vexalarm_getDisabled(vexalarm_frames_getlist(), vexalarm_framepanel_currentframe),
										set = function(self,key) vexalarm_f_data[vexalarm_framepanel_currentframe]["sounds"]["cast"]["channel"] = key end,
										get = function() return vexalarm_frame_soundreturn("channel3") end,
										},
									},
								},
							}
						}
					}
				}
			}
		}
end
