vexalarm_spellprofiles_profile = ""
vexalarm_spellprofiles_profile_new = ""
vexalarm_spellprofiles_profile_change = ""
vexalarm_spellprofiles_sendtarget = ""

vexalarm_spellprofiles_receivedprofile = ""
vexalarm_spellprofiles_receivedprofile_newname = ""

function vexalarm.panel_spellprofiles()	
	return {
		type = "group",
		args = {
			grpadd = {
				name = vexalarm.Locale["spellprofiles add grpname"],
				order=3, type ="group", dialogInline = true,
				args = {
					addName = {
						name = vexalarm.Locale["profiles add name"],
						desc = vexalarm.Locale["profiles add name desc"] ,
						order=1, type = "input", multiline = false, width = "double",
						validate = function (info, val) return vexalarm_validateInput(val) end,
						set = function(info,val) vexalarm_spellprofiles_profile_new = val vexalarm_initialize(true) end,
						get = function() return vexalarm_spellprofiles_profile_new end,
						},
					addButton = {
						name = vexalarm.Locale["profiles add button"], width="half",
						order=2, type = "execute",
						disabled = not(vexalarm_checkName(vexalarm_spellprofiles_profile_new)),
						func = function(info,val) vexalarm_spellprofile_add() vexalarm_initialize(true) end,
						},
					addAllowed = {name =vexalarm.Locale["profiles add info"], type = "description", order=3, fontSize="medium"},
					},
				},
			frame_space2 = {name = " ", type = "description", order=4},
			grpdelete = {
				name = vexalarm.Locale["spellprofiles div grpname"],
				order=5, type ="group", dialogInline = true,
				args = {
					profile = {
						name = vexalarm.Locale["profiles delete profile"],
						order=1, type = "select", style = "dropdown",
						values = vexalarm_spellprofile_getlist(),
						set = function(self,key)
							vexalarm_spellprofiles_profile = key
							vexalarm_spellprofiles_profile_change = key
							vexalarm_initialize(true)
							end,
						get = function() return vexalarm_spellprofile_getlistGet() end,
						},
					space = {name =" ", type = "description", order=2},
					load_exe = {
						name = vexalarm.Locale["spellprofiles load button"],
						order=5, type = "execute",
						disabled = vexalarm_getDisabled(vexalarm_spellprofile_getlist(), vexalarm_spellprofiles_profile),
						func = function(info,val) vexalarm_spellprofile_load() vexalarm_initialize(true) end,
						},
					delete_exe = {
						name = vexalarm.Locale["profiles delete button"],
						order=6, type = "execute",
						func = function(info,val) vexalarm_spellprofile_delete() vexalarm_initialize(true) end,
						confirm = true,
						disabled = vexalarm_getDisabled(vexalarm_spellprofile_getlist(), vexalarm_spellprofiles_profile),
						confirmText = vexalarm.Locale["profiles delete confirm"]
						},
					received_grpload_info = {name = vexalarm.Locale["spellprofiles load info"].."\n", type = "description", order=9, fontSize="medium"},
					newname = {
						name = vexalarm.Locale["profiles add name"],
						desc = vexalarm.Locale["profiles add name desc"] ,
						order=10, type = "input", multiline = false, width = "double",
						validate = function (info, val) return vexalarm_validateInput(val) end,
						disabled = vexalarm_getDisabled(vexalarm_spellprofile_getlist(), vexalarm_spellprofiles_profile),
						set = function(info,val) vexalarm_spellprofiles_profile_change = val vexalarm_initialize(true) end,
						get = function() return vexalarm_spellprofiles_profile_change end,
						},
					changename = {
						name = vexalarm.Locale["spellprofiles changename button"],
						order=11, type = "execute",
						disabled = vexalarm_getDisabled(vexalarm_spellprofile_getlist(), vexalarm_spellprofiles_profile) or vexalarm_spellprofiles_profile_change=="",
						func = function(info,val) vexalarm_ChangeSpellProfile() vexalarm_initialize(true) end,
						},
					space2 = {name = " ", type = "description", order=12, fontSize="medium"},
					send_target = {
						name = vexalarm.Locale["spellprofiles send to user"],
						order=13, type = "input", multiline = false, width = "double",
						disabled = vexalarm_getDisabled(vexalarm_spellprofile_getlist(), vexalarm_spellprofiles_profile),
						set = function(info,val) vexalarm_spellprofiles_sendtarget = val vexalarm_initialize(true) end,
						get = function() return vexalarm_spellprofiles_sendtarget end,
						},
					send_exe = {
						name = vexalarm.Locale["spellprofiles send button"],
						order=14, type = "execute",
						disabled = vexalarm_getDisabled(vexalarm_spellprofile_getlist(), vexalarm_spellprofiles_profile) or vexalarm_spellprofiles_sendtarget=="",
						func = function(info,val) vexalarm_SendSpellProfile() end,
						},
					},
				},
			frame_space5 = {name =" ", type = "description", order=10},
			grpSaveReceived = {
				name = vexalarm.Locale["spellprofiles save received grpname"],
				order=11, type = "group", dialogInline = true,
				args = {
					received_profile_load = {
						name = vexalarm.Locale["spellprofiles save received name"],
						order=1, type = "select", style = "dropdown",
						values = vexalarm_GetReceivedSpellProfileList(),
						set = function(self,key)
							vexalarm_spellprofiles_receivedprofile = key
							vexalarm_spellprofiles_receivedprofile_newname = vexalarm_GetReceivedSpellProfileByKey(key)
							vexalarm_initialize(true)
							end,
						get = function() return vexalarm_GetReceivedSpellProfileListGet() end,
						},
					received_profile_name = {
						name = vexalarm.Locale["spellprofiles save as"],
						desc = vexalarm.Locale["profiles add name desc"],
						order=2, type = "input", multiline = false, width = "double",
						validate = function (info, val) return vexalarm_validateInput(val) end,
						disabled = vexalarm_getDisabled(vexalarm_GetReceivedSpellProfileList(), vexalarm_spellprofiles_receivedprofile),
						set = function(info,val) vexalarm_spellprofiles_receivedprofile_newname = val vexalarm_initialize(true) end,
						get = function() return vexalarm_spellprofiles_receivedprofile_newname end,
						},
					received_load_exe = {
						name = vexalarm.Locale["spellprofiles save button"],
						order=3, type = "execute",
						disabled = vexalarm_getDisabled(vexalarm_GetReceivedSpellProfileList(), vexalarm_spellprofiles_receivedprofile),
						func = function(info,val) vexalarm_SaveIncomeSP() vexalarm_initialize(true) end,
						},
					},
				},
			}
		}
end


































