vexalarm_framepanel_currentframe = ""

vexalarm_framepanel_new = ""
vexalarm_framepanel_change = ""
vexalarm_framepanel_cloneframe = ""

function vexalarm.panel_framecreate()
	vexalarm_frames_setCurrent()
	return {
		type = "group",
		args = {
			grpadd = {
				name = vexalarm.Locale["frame add grpname"],
				order=3, type ="group", dialogInline = true,
				args = {
					frame_new = {
						name = vexalarm.Locale["frame add name"],
						order=1, type = "input", multiline = false, width = "double",
						validate = function (info, val) return vexalarm_validateInput(val) end,
						set = function(info,val) vexalarm_framepanel_new = val vexalarm_initialize(true) end,
						get = function() return vexalarm_framepanel_new end,
						},
					frame_new_add = {
						name = vexalarm.Locale["frame add button"], width="half",
						order=2, type = "execute",
						disabled = not(vexalarm_checkName(vexalarm_framepanel_new)),
						func = function(info,val) vexalarm_frame_add() vexalarm_initialize(true) end,
						},
					grpadddelete_allowed = {name = vexalarm.Locale["profiles add info"], type = "description", order=3, fontSize="medium"},
					frame_space = {name ="\n", type = "description", order=4},
					frame = {
						name = vexalarm.Locale["frame delete name"],
						order=5, type = "select", style = "dropdown",
						values =  vexalarm_frames_getlist(),
						disabled = not(vexalarm_checkName(vexalarm_framepanel_new)),
						set = function(self,key)
							vexalarm_framepanel_cloneframe = key
							vexalarm_initialize(true)
							end,
						get = function() return vexalarm_frames_getlistGetClone() end,
						},
					frame_new_clone = {
						name = vexalarm.Locale["frame clone button"], width="half",
						order=6, type = "execute",
						disabled = not(vexalarm_checkName(vexalarm_framepanel_new)),
						func = function(info,val) vexalarm_frame_clone() vexalarm_initialize(true) end,
						},
					},
				},
			frame_space2 = {name =" ", type = "description", order=4},
			grpdelete = {
				name = vexalarm.Locale["frame delete grpname"],
				order=5, type ="group", dialogInline = true,
				args = {
					frame = {
						name = vexalarm.Locale["frame delete name"],
						order=1, type = "select", style = "dropdown",
						values =  vexalarm_frames_getlist(),
						set = function(self,key)
							vexalarm_framepanel_currentframe = key
							vexalarm_framepanel_change = key
							vexalarm_initialize(true)
							end,
						get = function() return vexalarm_frames_getlistGet() end,
						},
					space_rename = {name =" ", type = "description", order=30},
					newname = {
						name = vexalarm.Locale["frame add name"],
						order=31, type = "input", multiline = false, width = "double",
						validate = function (info, val) return vexalarm_validateInput(val) end,
						disabled = vexalarm_getDisabled(vexalarm_frames_getlist(), vexalarm_framepanel_currentframe),
						set = function(info,val) vexalarm_framepanel_change = val vexalarm_initialize(true) end,
						get = function() return vexalarm_framepanel_change end,
						},
					changename = {
						name = vexalarm.Locale["spellprofiles changename button"],
						order=32, type = "execute",
						disabled = vexalarm_getDisabled(vexalarm_frames_getlist(), vexalarm_framepanel_currentframe) or vexalarm_framepanel_change=="",
						func = function(info,val) vexalarm_frame_change() vexalarm_initialize(true) end,
						},
					space_delete = {name ="\n\n\n", type = "description", order=40},
					delete_exe = {
						name = vexalarm.Locale["profiles delete button"],
						order=41, type = "execute",
						disabled = vexalarm_getDisabled(vexalarm_frames_getlist(), vexalarm_framepanel_currentframe),
						func = function(info,val) vexalarm_frame_delete() vexalarm_initialize(true) end,
						confirm = true,
						confirmText = vexalarm.Locale["profiles delete confirm"]
						},
					},
				},
			}
		}
end








